/**
 * Created by rockyl on 2020-01-21.
 */

import {getTextureByName} from "./utils";
import {props} from "../props";

export class Base extends engine.Image{
	constructor(){
		super(getTextureByName('底座'));
	}

	setup(){
		this.x = -(this.width) / 2;
	}

	reset(){
		this.y = - props.baseOffset;
	}
}
